Subject: bug#29201: 26.0.90; Flymake skips indicator when a backend reports a diagnostic at EOB

From: [email-masked] (João Távora)
Date: Thu, 09 Nov 2017 21:18:41 +0000

Dmitry Gutov <[email-masked]> writes:

> Maybe flymake-diag-region should check for (eob) and maybe backtrack a
> little. Flycheck, in such situations, highlights the last symbol of
> the buffer.

"Backtracking a little" sounds OK but highlighting the last symbol is a
little more contentious and harder to do (though I'm open to that
argument).

Anyway, this is a simple bug because my original idea was to make this
case behave like the case where the last line is referenced but without
a column indication. Inside flymake-diag-region, this should funnel into
fallback-eol but in this particular case it wasn't doind that because I
forgot that (goto-char one-trillion) doesn't error.

Fixed in 535688a4181ae4052db354ce2b877507f11c9e66.

Thanks,
João